Base Module VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
VariablesMap Class Reference

Command-line parsing result. More...

`#include <fcommandline.h>`

## Public Member Functions
| VariablesMap ()
| Constructor. Creates a empty VariablesMap. More...
bool | hasError () const
| Returns `true` when an error has occurred. More...
void | setError ()
| Sets the error state to `true`. More...
std::string & | operator[] (const VariablesMapContainer::key_type k)
| Retrieve the value of option `k`. More...
const std::string & | operator[] (const VariablesMapContainer::key_type k) const
| Retrieve the value of option `k`. More...
VariablesMapContainer::size_type | count (const VariablesMapContainer::key_type k) const
| Returns `!=` `0` if command-line contains option `k`. More...

## Detailed Description

Command-line parsing result.

This is the result of the parser.

- Use hasError() to check for errors.
- To test if a option was specified on the command-line use: count()
- To retrieve the value of an options, use operator [](const VariablesMapContainer::key_type k)

## Constructor & Destructor Documentation

VariablesMap | ( |  | ) |
| inline

Constructor. Creates a empty VariablesMap.

## Member Function Documentation

bool hasError | ( |  | ) | const
| inline

Returns `true` when an error has occurred.

void setError | ( |  | ) |
| inline

Sets the error state to `true`.

std::string & operator[] | ( | const VariablesMapContainer::key_type | k | ) |

Retrieve the value of option `k`.

If command-line contains option `k` more than once, only the last value will survive.

const std::string & operator[] | ( | const VariablesMapContainer::key_type | k | ) | const

Retrieve the value of option `k`.

If command-line contains option `k` more than once, only the last value will survive.

VariablesMap::VariablesMapContainer::size_type count | ( | const VariablesMapContainer::key_type | k | ) | const

Returns `!=` `0` if command-line contains option `k`.

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.